#include "Servo.h"
#include "Wire.h"
#include "WiiChuck.h"

Servo servBras;
Servo servPince;
WiiChuck chuck = WiiChuck();

int valX = 0;
int valY = 0;

void setup() {
  //
  Serial.begin(19200);
  Serial.println("Test nunchuck");
  // alimentation du nunchuck (pas n�cessaire de comprendre)
  //DDRC |= _BV(PC3) | _BV(PC2);  // pattes Analog 2 et 3 en sortie
  //PORTC &=~ _BV(PC2);           // patte Analog 2 � 0v
  //PORTC |=  _BV(PC3);           // patte Analog 3 � 5v
  delay(100);  // une petite attente
  
  
  Serial.println("Demarrage chuck");
  chuck.begin();
  
  
  Serial.println("Chuck init OK");
  chuck.update();
  
  //
  Serial.println("Chuck pret");
  
  //
  servBras.attach(10);
  servPince.attach(9);
  servBras.write(90);
  servPince.write(0);
}

void loop() {
  delay(50);
  chuck.update(); 

  // lecture des valeurs du joystick 2D
  valX = chuck.readJoyX();
  valY = chuck.readJoyY();
  
  servBras.write(90+valX/2);
  servPince.write(90+valY/2);

  // affichage
  Serial.print(valX);
  Serial.print(" ");
  Serial.print(valY);
  Serial.println();
}
